# Release 23.11 {#sec-release-23.11}

The 23.11 release branch became stable in November, 2023.

## Highlights {#sec-release-23.11-highlights}

This release has the following notable changes:

-   When using [programs.fish.enable](#opt-programs.fish.enable), the setup code for
    [home.sessionVariables](#opt-home.sessionVariables) is now translated with
    [babelfish](https://github.com/bouk/babelfish). This should result
    in significantly faster shell startup times but could theoretically
    break if you have very complex bash expressions in a session
    variable. Please report any issues you experience.

-   The `.release` file in the Home Manager source tree has been
    supplanted by `release.json`, which contains more information about
    the branch. If you have any external code reading this file, please
    switch to consuming `release.json` instead. The `.release` file will
    be removed in 24.05.

-   Home Manager has migrated to using the upstream Nixpkgs
    `lib.nixosOptionsDoc` processor for option documentation. If you
    have any external Home Manager modules, their option descriptions
    and literal examples should be translated to [Nixpkgs-flavoured
    Markdown](https://nixos.org/manual/nixpkgs/unstable/#sec-contributing-markup).

-   The `services.password-store-sync` module has been removed. Use
    `services.git-sync` instead.

## State Version Changes {#sec-release-23.11-state-version-changes}

The state version in this release includes the changes below. These
changes are only active if the `home.stateVersion` option is set to
\"23.11\" or later.

-   Nothing, yet.
